petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectAppendOptionsPrefix

Sets the prefix used for searching for all options of PetscObjectType in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectAppendOptionsPrefix(PetscObject obj,const char prefix[])

### Input Parameters

obj -any PETSc object, for example a Vec, Mat or KSP.
prefix -the prefix string to prepend to option requests of the object.

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectSetOptionsPrefix(), PetscObjectPrependOptionsPrefix(),
PetscObjectGetOptionsPrefix(), TSAppendOptionsPrefix(), SNESAppendOptionsPrefix(), KSPAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/objects/prefix.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages